summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorJeremy Bicha <jbicha@debian.org>2021-09-19 08:31:12 -0400
committerJeremy Bicha <jbicha@debian.org>2021-09-19 08:31:12 -0400
commit0a9278511b4d4a3b5df9f6232cd0a427b945a630 (patch)
tree18db516364877f6dd0ebca5a0eddea7b9311b142 /src
parentdebian/watch: Update for GNOME 40 style version numbering (diff)
parentNew upstream version 3.41.0 (diff)
downloadzenity-0a9278511b4d4a3b5df9f6232cd0a427b945a630.tar.gz
zenity-0a9278511b4d4a3b5df9f6232cd0a427b945a630.tar.bz2
zenity-0a9278511b4d4a3b5df9f6232cd0a427b945a630.zip
Update upstream source from tag 'upstream/3.41.0'
Update to upstream version '3.41.0' with Debian dir e93fe4af08d9574e6a601a2b0269cc470265904a
Diffstat (limited to 'src')
-rw-r--r--src/.cvsignore5
-rw-r--r--src/Makefile.am57
-rw-r--r--src/Makefile.in1066
-rw-r--r--src/about.c189
-rw-r--r--src/forms.c13
-rw-r--r--src/gdialog353
-rw-r--r--src/main.c2
-rw-r--r--src/meson.build51
-rw-r--r--src/msg.c4
-rw-r--r--src/text.c2
-rw-r--r--src/util.c9
-rw-r--r--src/zenity.h10
12 files changed, 78 insertions, 1683 deletions
diff --git a/src/.cvsignore b/src/.cvsignore
new file mode 100644
index 00000000..76bab18f
--- /dev/null
+++ b/src/.cvsignore
@@ -0,0 +1,5 @@
+zenity.gladep
+zenity
+Makefile.in
+Makefile
+gdialog
diff --git a/src/Makefile.am b/src/Makefile.am
deleted file mode 100644
index bcdd2056..00000000
--- a/src/Makefile.am
+++ /dev/null
@@ -1,57 +0,0 @@
-bin_PROGRAMS = zenity
-
-bin_SCRIPTS = gdialog
-
-zenity_SOURCES = \
- about.c \
- calendar.c \
- entry.c \
- fileselection.c \
- main.c \
- msg.c \
- notification.c \
- option.c \
- option.h \
- progress.c \
- scale.c \
- text.c \
- tree.c \
- color.c \
- password.c \
- util.c \
- util.h \
- forms.c \
- zenity.h
-
-zenity_CPPFLAGS = \
- -DGNOMELOCALEDIR=\""$(datadir)/locale"\" \
- -DZENITY_DATADIR=\""$(pkgdatadir)"\" \
- $(AM_CPPFLAGS)
-
-zenity_CFLAGS = \
- $(ZENITY_CFLAGS) \
- $(LIBNOTIFY_CFLAGS) \
- $(WEBKIT_CFLAGS) \
- $(WARN_CFLAGS) \
- $(AM_CFLAGS)
-
-zenity_LDFLAGS = \
- $(AM_LDFLAGS)
-
-zenity_LDADD = \
- $(ZENITY_LIBS) \
- $(LIBNOTIFY_LIBS) \
- $(WEBKIT_LIBS)
-
-uidir = $(datadir)/zenity
-
-ui_DATA = \
- zenity.ui
-
-DISTCLEANFILES= \
- gdialog
-
-EXTRA_DIST = \
- $(ui_DATA) \
- gdialog \
- gdialog.in
diff --git a/src/Makefile.in b/src/Makefile.in
deleted file mode 100644
index b96e2c1d..00000000
--- a/src/Makefile.in
+++ /dev/null
@@ -1,1066 +0,0 @@
-# Makefile.in generated by automake 1.16.1 from Makefile.am.
-# @configure_input@
-
-# Copyright (C) 1994-2018 Free Software Foundation, Inc.
-
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-@SET_MAKE@
-
-
-
-VPATH = @srcdir@
-am__is_gnu_make = { \
- if test -z '$(MAKELEVEL)'; then \
- false; \
- elif test -n '$(MAKE_HOST)'; then \
- true; \
- elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
- true; \
- else \
- false; \
- fi; \
-}
-am__make_running_with_option = \
- case $${target_option-} in \
- ?) ;; \
- *) echo "am__make_running_with_option: internal error: invalid" \
- "target option '$${target_option-}' specified" >&2; \
- exit 1;; \
- esac; \
- has_opt=no; \
- sane_makeflags=$$MAKEFLAGS; \
- if $(am__is_gnu_make); then \
- sane_makeflags=$$MFLAGS; \
- else \
- case $$MAKEFLAGS in \
- *\\[\ \ ]*) \
- bs=\\; \
- sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
- | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
- esac; \
- fi; \
- skip_next=no; \
- strip_trailopt () \
- { \
- flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
- }; \
- for flg in $$sane_makeflags; do \
- test $$skip_next = yes && { skip_next=no; continue; }; \
- case $$flg in \
- *=*|--*) continue;; \
- -*I) strip_trailopt 'I'; skip_next=yes;; \
- -*I?*) strip_trailopt 'I';; \
- -*O) strip_trailopt 'O'; skip_next=yes;; \
- -*O?*) strip_trailopt 'O';; \
- -*l) strip_trailopt 'l'; skip_next=yes;; \
- -*l?*) strip_trailopt 'l';; \
- -[dEDm]) skip_next=yes;; \
- -[JT]) skip_next=yes;; \
- esac; \
- case $$flg in \
- *$$target_option*) has_opt=yes; break;; \
- esac; \
- done; \
- test $$has_opt = yes
-am__make_dryrun = (target_option=n; $(am__make_running_with_option))
-am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
-pkgdatadir = $(datadir)/@PACKAGE@
-pkgincludedir = $(includedir)/@PACKAGE@
-pkglibdir = $(libdir)/@PACKAGE@
-pkglibexecdir = $(libexecdir)/@PACKAGE@
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-build_triplet = @build@
-host_triplet = @host@
-bin_PROGRAMS = zenity$(EXEEXT)
-subdir = src
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
- $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
- $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
- $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
- $(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
- $(top_srcdir)/configure.ac
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
- $(ACLOCAL_M4)
-DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
-mkinstalldirs = $(install_sh) -d
-CONFIG_HEADER = $(top_builddir)/config.h
-CONFIG_CLEAN_FILES = gdialog
-CONFIG_CLEAN_VPATH_FILES =
-am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
- "$(DESTDIR)$(uidir)"
-PROGRAMS = $(bin_PROGRAMS)
-am_zenity_OBJECTS = zenity-about.$(OBJEXT) zenity-calendar.$(OBJEXT) \
- zenity-entry.$(OBJEXT) zenity-fileselection.$(OBJEXT) \
- zenity-main.$(OBJEXT) zenity-msg.$(OBJEXT) \
- zenity-notification.$(OBJEXT) zenity-option.$(OBJEXT) \
- zenity-progress.$(OBJEXT) zenity-scale.$(OBJEXT) \
- zenity-text.$(OBJEXT) zenity-tree.$(OBJEXT) \
- zenity-color.$(OBJEXT) zenity-password.$(OBJEXT) \
- zenity-util.$(OBJEXT) zenity-forms.$(OBJEXT)
-zenity_OBJECTS = $(am_zenity_OBJECTS)
-am__DEPENDENCIES_1 =
-zenity_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
- $(am__DEPENDENCIES_1)
-zenity_LINK = $(CCLD) $(zenity_CFLAGS) $(CFLAGS) $(zenity_LDFLAGS) \
- $(LDFLAGS) -o $@
-am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
-am__vpath_adj = case $$p in \
- $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
- *) f=$$p;; \
- esac;
-am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
-am__install_max = 40
-am__nobase_strip_setup = \
- srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
-am__nobase_strip = \
- for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
-am__nobase_list = $(am__nobase_strip_setup); \
- for p in $$list; do echo "$$p $$p"; done | \
- sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
- $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
- if (++n[$$2] == $(am__install_max)) \
- { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
- END { for (dir in files) print dir, files[dir] }'
-am__base_list = \
- sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
- sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
-am__uninstall_files_from_dir = { \
- test -z "$$files" \
- || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
- || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
- $(am__cd) "$$dir" && rm -f $$files; }; \
- }
-SCRIPTS = $(bin_SCRIPTS)
-AM_V_P = $(am__v_P_@AM_V@)
-am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
-am__v_P_0 = false
-am__v_P_1 = :
-AM_V_GEN = $(am__v_GEN_@AM_V@)
-am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
-am__v_GEN_0 = @echo " GEN " $@;
-am__v_GEN_1 =
-AM_V_at = $(am__v_at_@AM_V@)
-am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
-am__v_at_0 = @
-am__v_at_1 =
-DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
-depcomp = $(SHELL) $(top_srcdir)/depcomp
-am__maybe_remake_depfiles = depfiles
-am__depfiles_remade = ./$(DEPDIR)/zenity-about.Po \
- ./$(DEPDIR)/zenity-calendar.Po ./$(DEPDIR)/zenity-color.Po \
- ./$(DEPDIR)/zenity-entry.Po \
- ./$(DEPDIR)/zenity-fileselection.Po \
- ./$(DEPDIR)/zenity-forms.Po ./$(DEPDIR)/zenity-main.Po \
- ./$(DEPDIR)/zenity-msg.Po ./$(DEPDIR)/zenity-notification.Po \
- ./$(DEPDIR)/zenity-option.Po ./$(DEPDIR)/zenity-password.Po \
- ./$(DEPDIR)/zenity-progress.Po ./$(DEPDIR)/zenity-scale.Po \
- ./$(DEPDIR)/zenity-text.Po ./$(DEPDIR)/zenity-tree.Po \
- ./$(DEPDIR)/zenity-util.Po
-am__mv = mv -f
-AM_V_lt = $(am__v_lt_@AM_V@)
-am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
-am__v_lt_0 = --silent
-am__v_lt_1 =
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
- $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-AM_V_CC = $(am__v_CC_@AM_V@)
-am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
-am__v_CC_0 = @echo " CC " $@;
-am__v_CC_1 =
-CCLD = $(CC)
-LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
-AM_V_CCLD = $(am__v_CCLD_@AM_V@)
-am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
-am__v_CCLD_0 = @echo " CCLD " $@;
-am__v_CCLD_1 =
-SOURCES = $(zenity_SOURCES)
-DIST_SOURCES = $(zenity_SOURCES)
-am__can_run_installinfo = \
- case $$AM_UPDATE_INFO_DIR in \
- n|no|NO) false;; \
- *) (install-info --version) >/dev/null 2>&1;; \
- esac
-DATA = $(ui_DATA)
-am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
-# Read a list of newline-separated strings from the standard input,
-# and print each of them once, without duplicates. Input order is
-# *not* preserved.
-am__uniquify_input = $(AWK) '\
- BEGIN { nonempty = 0; } \
- { items[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in items) print i; }; } \
-'
-# Make sure the list of sources is unique. This is necessary because,
-# e.g., the same source file might be shared among _SOURCES variables
-# for different programs/libraries.
-am__define_uniq_tagged_files = \
- list='$(am__tagged_files)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | $(am__uniquify_input)`
-ETAGS = etags
-CTAGS = ctags
-am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/gdialog.in \
- $(top_srcdir)/depcomp
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = @ACLOCAL@
-AMTAR = @AMTAR@
-AM_CFLAGS = @AM_CFLAGS@
-AM_CPPFLAGS = @AM_CPPFLAGS@
-AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
-AM_LDFLAGS = @AM_LDFLAGS@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AWK = @AWK@
-CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
-CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
-CYGPATH_W = @CYGPATH_W@
-DEFS = @DEFS@
-DEPDIR = @DEPDIR@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
-EGREP = @EGREP@
-EXEEXT = @EXEEXT@
-GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
-GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
-GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
-GREP = @GREP@
-HELP_DIR = @HELP_DIR@
-INSTALL = @INSTALL@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-INTLLIBS = @INTLLIBS@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
-ITSTOOL = @ITSTOOL@
-LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
-LIBNOTIFY_CFLAGS = @LIBNOTIFY_CFLAGS@
-LIBNOTIFY_LIBS = @LIBNOTIFY_LIBS@
-LIBOBJS = @LIBOBJS@
-LIBS = @LIBS@
-LN_S = @LN_S@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
-LTLIBOBJS = @LTLIBOBJS@
-MAINT = @MAINT@
-MAKEINFO = @MAKEINFO@
-MKDIR_P = @MKDIR_P@
-MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
-MSGMERGE = @MSGMERGE@
-OBJEXT = @OBJEXT@
-PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_URL = @PACKAGE_URL@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_SEPARATOR = @PATH_SEPARATOR@
-PERL = @PERL@
-PKG_CONFIG = @PKG_CONFIG@
-PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
-PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
-POSUB = @POSUB@
-SED = @SED@
-SET_MAKE = @SET_MAKE@
-SHELL = @SHELL@
-STRIP = @STRIP@
-USE_NLS = @USE_NLS@
-VERSION = @VERSION@
-WEBKIT_CFLAGS = @WEBKIT_CFLAGS@
-WEBKIT_LIBS = @WEBKIT_LIBS@
-XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
-XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
-XMLLINT = @XMLLINT@
-X_CFLAGS = @X_CFLAGS@
-X_LIBS = @X_LIBS@
-YELP_LC_DIST = @YELP_LC_DIST@
-YELP_LC_MEDIA_LINKS = @YELP_LC_MEDIA_LINKS@
-ZENITY_CFLAGS = @ZENITY_CFLAGS@
-ZENITY_LIBS = @ZENITY_LIBS@
-abs_builddir = @abs_builddir@
-abs_srcdir = @abs_srcdir@
-abs_top_builddir = @abs_top_builddir@
-abs_top_srcdir = @abs_top_srcdir@
-ac_ct_CC = @ac_ct_CC@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-am__tar = @am__tar@
-am__untar = @am__untar@
-bindir = @bindir@
-build = @build@
-build_alias = @build_alias@
-build_cpu = @build_cpu@
-build_os = @build_os@
-build_vendor = @build_vendor@
-builddir = @builddir@
-datadir = @datadir@
-datarootdir = @datarootdir@
-docdir = @docdir@
-dvidir = @dvidir@
-exec_prefix = @exec_prefix@
-host = @host@
-host_alias = @host_alias@
-host_cpu = @host_cpu@
-host_os = @host_os@
-host_vendor = @host_vendor@
-htmldir = @htmldir@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-libdir = @libdir@
-libexecdir = @libexecdir@
-localedir = @localedir@
-localstatedir = @localstatedir@
-mandir = @mandir@
-mkdir_p = @mkdir_p@
-oldincludedir = @oldincludedir@
-pdfdir = @pdfdir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-psdir = @psdir@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-srcdir = @srcdir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-top_build_prefix = @top_build_prefix@
-top_builddir = @top_builddir@
-top_srcdir = @top_srcdir@
-bin_SCRIPTS = gdialog
-zenity_SOURCES = \
- about.c \
- calendar.c \
- entry.c \
- fileselection.c \
- main.c \
- msg.c \
- notification.c \
- option.c \
- option.h \
- progress.c \
- scale.c \
- text.c \
- tree.c \
- color.c \
- password.c \
- util.c \
- util.h \
- forms.c \
- zenity.h
-
-zenity_CPPFLAGS = \
- -DGNOMELOCALEDIR=\""$(datadir)/locale"\" \
- -DZENITY_DATADIR=\""$(pkgdatadir)"\" \
- $(AM_CPPFLAGS)
-
-zenity_CFLAGS = \
- $(ZENITY_CFLAGS) \
- $(LIBNOTIFY_CFLAGS) \
- $(WEBKIT_CFLAGS) \
- $(WARN_CFLAGS) \
- $(AM_CFLAGS)
-
-zenity_LDFLAGS = \
- $(AM_LDFLAGS)
-
-zenity_LDADD = \
- $(ZENITY_LIBS) \
- $(LIBNOTIFY_LIBS) \
- $(WEBKIT_LIBS)
-
-uidir = $(datadir)/zenity
-ui_DATA = \
- zenity.ui
-
-DISTCLEANFILES = \
- gdialog
-
-EXTRA_DIST = \
- $(ui_DATA) \
- gdialog \
- gdialog.in
-
-all: all-am
-
-.SUFFIXES:
-.SUFFIXES: .c .o .obj
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
- @for dep in $?; do \
- case '$(am__configure_deps)' in \
- *$$dep*) \
- ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
- && { if test -f $@; then exit 0; else break; fi; }; \
- exit 1;; \
- esac; \
- done; \
- echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
- $(am__cd) $(top_srcdir) && \
- $(AUTOMAKE) --foreign src/Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
- @case '$?' in \
- *config.status*) \
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
- *) \
- echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
- esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
- cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(am__aclocal_m4_deps):
-gdialog: $(top_builddir)/config.status $(srcdir)/gdialog.in
- cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
-install-binPROGRAMS: $(bin_PROGRAMS)
- @$(NORMAL_INSTALL)
- @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
- fi; \
- for p in $$list; do echo "$$p $$p"; done | \
- sed 's/$(EXEEXT)$$//' | \
- while read p p1; do if test -f $$p \
- ; then echo "$$p"; echo "$$p"; else :; fi; \
- done | \
- sed -e 'p;s,.*/,,;n;h' \
- -e 's|.*|.|' \
- -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
- sed 'N;N;N;s,\n, ,g' | \
- $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
- { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
- if ($$2 == $$4) files[d] = files[d] " " $$1; \
- else { print "f", $$3 "/" $$4, $$1; } } \
- END { for (d in files) print "f", d, files[d] }' | \
- while read type dir files; do \
- if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
- test -z "$$files" || { \
- echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
- $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
- } \
- ; done
-
-uninstall-binPROGRAMS:
- @$(NORMAL_UNINSTALL)
- @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
- files=`for p in $$list; do echo "$$p"; done | \
- sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
- -e 's/$$/$(EXEEXT)/' \
- `; \
- test -n "$$list" || exit 0; \
- echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
- cd "$(DESTDIR)$(bindir)" && rm -f $$files
-
-clean-binPROGRAMS:
- -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
-
-zenity$(EXEEXT): $(zenity_OBJECTS) $(zenity_DEPENDENCIES) $(EXTRA_zenity_DEPENDENCIES)
- @rm -f zenity$(EXEEXT)
- $(AM_V_CCLD)$(zenity_LINK) $(zenity_OBJECTS) $(zenity_LDADD) $(LIBS)
-install-binSCRIPTS: $(bin_SCRIPTS)
- @$(NORMAL_INSTALL)
- @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
- fi; \
- for p in $$list; do \
- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
- done | \
- sed -e 'p;s,.*/,,;n' \
- -e 'h;s|.*|.|' \
- -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
- $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
- { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
- if ($$2 == $$4) { files[d] = files[d] " " $$1; \
- if (++n[d] == $(am__install_max)) { \
- print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
- else { print "f", d "/" $$4, $$1 } } \
- END { for (d in files) print "f", d, files[d] }' | \
- while read type dir files; do \
- if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
- test -z "$$files" || { \
- echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
- $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
- } \
- ; done
-
-uninstall-binSCRIPTS:
- @$(NORMAL_UNINSTALL)
- @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
- files=`for p in $$list; do echo "$$p"; done | \
- sed -e 's,.*/,,;$(transform)'`; \
- dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
-
-mostlyclean-compile:
- -rm -f *.$(OBJEXT)
-
-distclean-compile:
- -rm -f *.tab.c
-
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-about.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-calendar.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-color.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-entry.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-fileselection.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-forms.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-main.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-msg.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-notification.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-option.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-password.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-progress.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-scale.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-text.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-tree.Po@am__quote@ # am--include-marker
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zenity-util.Po@am__quote@ # am--include-marker
-
-$(am__depfiles_remade):
- @$(MKDIR_P) $(@D)
- @echo '# dummy' >$@-t && $(am__mv) $@-t $@
-
-am--depfiles: $(am__depfiles_remade)
-
-.c.o:
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
-
-.c.obj:
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
-
-zenity-about.o: about.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-about.o -MD -MP -MF $(DEPDIR)/zenity-about.Tpo -c -o zenity-about.o `test -f 'about.c' || echo '$(srcdir)/'`about.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-about.Tpo $(DEPDIR)/zenity-about.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='about.c' object='zenity-about.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-about.o `test -f 'about.c' || echo '$(srcdir)/'`about.c
-
-zenity-about.obj: about.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-about.obj -MD -MP -MF $(DEPDIR)/zenity-about.Tpo -c -o zenity-about.obj `if test -f 'about.c'; then $(CYGPATH_W) 'about.c'; else $(CYGPATH_W) '$(srcdir)/about.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-about.Tpo $(DEPDIR)/zenity-about.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='about.c' object='zenity-about.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-about.obj `if test -f 'about.c'; then $(CYGPATH_W) 'about.c'; else $(CYGPATH_W) '$(srcdir)/about.c'; fi`
-
-zenity-calendar.o: calendar.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-calendar.o -MD -MP -MF $(DEPDIR)/zenity-calendar.Tpo -c -o zenity-calendar.o `test -f 'calendar.c' || echo '$(srcdir)/'`calendar.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-calendar.Tpo $(DEPDIR)/zenity-calendar.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='calendar.c' object='zenity-calendar.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-calendar.o `test -f 'calendar.c' || echo '$(srcdir)/'`calendar.c
-
-zenity-calendar.obj: calendar.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-calendar.obj -MD -MP -MF $(DEPDIR)/zenity-calendar.Tpo -c -o zenity-calendar.obj `if test -f 'calendar.c'; then $(CYGPATH_W) 'calendar.c'; else $(CYGPATH_W) '$(srcdir)/calendar.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-calendar.Tpo $(DEPDIR)/zenity-calendar.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='calendar.c' object='zenity-calendar.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-calendar.obj `if test -f 'calendar.c'; then $(CYGPATH_W) 'calendar.c'; else $(CYGPATH_W) '$(srcdir)/calendar.c'; fi`
-
-zenity-entry.o: entry.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-entry.o -MD -MP -MF $(DEPDIR)/zenity-entry.Tpo -c -o zenity-entry.o `test -f 'entry.c' || echo '$(srcdir)/'`entry.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-entry.Tpo $(DEPDIR)/zenity-entry.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='entry.c' object='zenity-entry.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-entry.o `test -f 'entry.c' || echo '$(srcdir)/'`entry.c
-
-zenity-entry.obj: entry.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-entry.obj -MD -MP -MF $(DEPDIR)/zenity-entry.Tpo -c -o zenity-entry.obj `if test -f 'entry.c'; then $(CYGPATH_W) 'entry.c'; else $(CYGPATH_W) '$(srcdir)/entry.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-entry.Tpo $(DEPDIR)/zenity-entry.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='entry.c' object='zenity-entry.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-entry.obj `if test -f 'entry.c'; then $(CYGPATH_W) 'entry.c'; else $(CYGPATH_W) '$(srcdir)/entry.c'; fi`
-
-zenity-fileselection.o: fileselection.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-fileselection.o -MD -MP -MF $(DEPDIR)/zenity-fileselection.Tpo -c -o zenity-fileselection.o `test -f 'fileselection.c' || echo '$(srcdir)/'`fileselection.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-fileselection.Tpo $(DEPDIR)/zenity-fileselection.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='fileselection.c' object='zenity-fileselection.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-fileselection.o `test -f 'fileselection.c' || echo '$(srcdir)/'`fileselection.c
-
-zenity-fileselection.obj: fileselection.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-fileselection.obj -MD -MP -MF $(DEPDIR)/zenity-fileselection.Tpo -c -o zenity-fileselection.obj `if test -f 'fileselection.c'; then $(CYGPATH_W) 'fileselection.c'; else $(CYGPATH_W) '$(srcdir)/fileselection.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-fileselection.Tpo $(DEPDIR)/zenity-fileselection.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='fileselection.c' object='zenity-fileselection.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-fileselection.obj `if test -f 'fileselection.c'; then $(CYGPATH_W) 'fileselection.c'; else $(CYGPATH_W) '$(srcdir)/fileselection.c'; fi`
-
-zenity-main.o: main.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-main.o -MD -MP -MF $(DEPDIR)/zenity-main.Tpo -c -o zenity-main.o `test -f 'main.c' || echo '$(srcdir)/'`main.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-main.Tpo $(DEPDIR)/zenity-main.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='main.c' object='zenity-main.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-main.o `test -f 'main.c' || echo '$(srcdir)/'`main.c
-
-zenity-main.obj: main.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-main.obj -MD -MP -MF $(DEPDIR)/zenity-main.Tpo -c -o zenity-main.obj `if test -f 'main.c'; then $(CYGPATH_W) 'main.c'; else $(CYGPATH_W) '$(srcdir)/main.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-main.Tpo $(DEPDIR)/zenity-main.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='main.c' object='zenity-main.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-main.obj `if test -f 'main.c'; then $(CYGPATH_W) 'main.c'; else $(CYGPATH_W) '$(srcdir)/main.c'; fi`
-
-zenity-msg.o: msg.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-msg.o -MD -MP -MF $(DEPDIR)/zenity-msg.Tpo -c -o zenity-msg.o `test -f 'msg.c' || echo '$(srcdir)/'`msg.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-msg.Tpo $(DEPDIR)/zenity-msg.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='msg.c' object='zenity-msg.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-msg.o `test -f 'msg.c' || echo '$(srcdir)/'`msg.c
-
-zenity-msg.obj: msg.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-msg.obj -MD -MP -MF $(DEPDIR)/zenity-msg.Tpo -c -o zenity-msg.obj `if test -f 'msg.c'; then $(CYGPATH_W) 'msg.c'; else $(CYGPATH_W) '$(srcdir)/msg.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-msg.Tpo $(DEPDIR)/zenity-msg.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='msg.c' object='zenity-msg.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-msg.obj `if test -f 'msg.c'; then $(CYGPATH_W) 'msg.c'; else $(CYGPATH_W) '$(srcdir)/msg.c'; fi`
-
-zenity-notification.o: notification.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-notification.o -MD -MP -MF $(DEPDIR)/zenity-notification.Tpo -c -o zenity-notification.o `test -f 'notification.c' || echo '$(srcdir)/'`notification.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-notification.Tpo $(DEPDIR)/zenity-notification.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='notification.c' object='zenity-notification.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-notification.o `test -f 'notification.c' || echo '$(srcdir)/'`notification.c
-
-zenity-notification.obj: notification.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-notification.obj -MD -MP -MF $(DEPDIR)/zenity-notification.Tpo -c -o zenity-notification.obj `if test -f 'notification.c'; then $(CYGPATH_W) 'notification.c'; else $(CYGPATH_W) '$(srcdir)/notification.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-notification.Tpo $(DEPDIR)/zenity-notification.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='notification.c' object='zenity-notification.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-notification.obj `if test -f 'notification.c'; then $(CYGPATH_W) 'notification.c'; else $(CYGPATH_W) '$(srcdir)/notification.c'; fi`
-
-zenity-option.o: option.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-option.o -MD -MP -MF $(DEPDIR)/zenity-option.Tpo -c -o zenity-option.o `test -f 'option.c' || echo '$(srcdir)/'`option.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-option.Tpo $(DEPDIR)/zenity-option.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='option.c' object='zenity-option.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-option.o `test -f 'option.c' || echo '$(srcdir)/'`option.c
-
-zenity-option.obj: option.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-option.obj -MD -MP -MF $(DEPDIR)/zenity-option.Tpo -c -o zenity-option.obj `if test -f 'option.c'; then $(CYGPATH_W) 'option.c'; else $(CYGPATH_W) '$(srcdir)/option.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-option.Tpo $(DEPDIR)/zenity-option.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='option.c' object='zenity-option.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-option.obj `if test -f 'option.c'; then $(CYGPATH_W) 'option.c'; else $(CYGPATH_W) '$(srcdir)/option.c'; fi`
-
-zenity-progress.o: progress.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-progress.o -MD -MP -MF $(DEPDIR)/zenity-progress.Tpo -c -o zenity-progress.o `test -f 'progress.c' || echo '$(srcdir)/'`progress.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-progress.Tpo $(DEPDIR)/zenity-progress.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='progress.c' object='zenity-progress.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-progress.o `test -f 'progress.c' || echo '$(srcdir)/'`progress.c
-
-zenity-progress.obj: progress.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-progress.obj -MD -MP -MF $(DEPDIR)/zenity-progress.Tpo -c -o zenity-progress.obj `if test -f 'progress.c'; then $(CYGPATH_W) 'progress.c'; else $(CYGPATH_W) '$(srcdir)/progress.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-progress.Tpo $(DEPDIR)/zenity-progress.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='progress.c' object='zenity-progress.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-progress.obj `if test -f 'progress.c'; then $(CYGPATH_W) 'progress.c'; else $(CYGPATH_W) '$(srcdir)/progress.c'; fi`
-
-zenity-scale.o: scale.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-scale.o -MD -MP -MF $(DEPDIR)/zenity-scale.Tpo -c -o zenity-scale.o `test -f 'scale.c' || echo '$(srcdir)/'`scale.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-scale.Tpo $(DEPDIR)/zenity-scale.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='scale.c' object='zenity-scale.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-scale.o `test -f 'scale.c' || echo '$(srcdir)/'`scale.c
-
-zenity-scale.obj: scale.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-scale.obj -MD -MP -MF $(DEPDIR)/zenity-scale.Tpo -c -o zenity-scale.obj `if test -f 'scale.c'; then $(CYGPATH_W) 'scale.c'; else $(CYGPATH_W) '$(srcdir)/scale.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-scale.Tpo $(DEPDIR)/zenity-scale.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='scale.c' object='zenity-scale.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-scale.obj `if test -f 'scale.c'; then $(CYGPATH_W) 'scale.c'; else $(CYGPATH_W) '$(srcdir)/scale.c'; fi`
-
-zenity-text.o: text.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-text.o -MD -MP -MF $(DEPDIR)/zenity-text.Tpo -c -o zenity-text.o `test -f 'text.c' || echo '$(srcdir)/'`text.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-text.Tpo $(DEPDIR)/zenity-text.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='text.c' object='zenity-text.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-text.o `test -f 'text.c' || echo '$(srcdir)/'`text.c
-
-zenity-text.obj: text.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-text.obj -MD -MP -MF $(DEPDIR)/zenity-text.Tpo -c -o zenity-text.obj `if test -f 'text.c'; then $(CYGPATH_W) 'text.c'; else $(CYGPATH_W) '$(srcdir)/text.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-text.Tpo $(DEPDIR)/zenity-text.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='text.c' object='zenity-text.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-text.obj `if test -f 'text.c'; then $(CYGPATH_W) 'text.c'; else $(CYGPATH_W) '$(srcdir)/text.c'; fi`
-
-zenity-tree.o: tree.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-tree.o -MD -MP -MF $(DEPDIR)/zenity-tree.Tpo -c -o zenity-tree.o `test -f 'tree.c' || echo '$(srcdir)/'`tree.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-tree.Tpo $(DEPDIR)/zenity-tree.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='tree.c' object='zenity-tree.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-tree.o `test -f 'tree.c' || echo '$(srcdir)/'`tree.c
-
-zenity-tree.obj: tree.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-tree.obj -MD -MP -MF $(DEPDIR)/zenity-tree.Tpo -c -o zenity-tree.obj `if test -f 'tree.c'; then $(CYGPATH_W) 'tree.c'; else $(CYGPATH_W) '$(srcdir)/tree.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-tree.Tpo $(DEPDIR)/zenity-tree.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='tree.c' object='zenity-tree.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-tree.obj `if test -f 'tree.c'; then $(CYGPATH_W) 'tree.c'; else $(CYGPATH_W) '$(srcdir)/tree.c'; fi`
-
-zenity-color.o: color.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-color.o -MD -MP -MF $(DEPDIR)/zenity-color.Tpo -c -o zenity-color.o `test -f 'color.c' || echo '$(srcdir)/'`color.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-color.Tpo $(DEPDIR)/zenity-color.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='color.c' object='zenity-color.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-color.o `test -f 'color.c' || echo '$(srcdir)/'`color.c
-
-zenity-color.obj: color.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-color.obj -MD -MP -MF $(DEPDIR)/zenity-color.Tpo -c -o zenity-color.obj `if test -f 'color.c'; then $(CYGPATH_W) 'color.c'; else $(CYGPATH_W) '$(srcdir)/color.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-color.Tpo $(DEPDIR)/zenity-color.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='color.c' object='zenity-color.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-color.obj `if test -f 'color.c'; then $(CYGPATH_W) 'color.c'; else $(CYGPATH_W) '$(srcdir)/color.c'; fi`
-
-zenity-password.o: password.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-password.o -MD -MP -MF $(DEPDIR)/zenity-password.Tpo -c -o zenity-password.o `test -f 'password.c' || echo '$(srcdir)/'`password.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-password.Tpo $(DEPDIR)/zenity-password.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='password.c' object='zenity-password.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-password.o `test -f 'password.c' || echo '$(srcdir)/'`password.c
-
-zenity-password.obj: password.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-password.obj -MD -MP -MF $(DEPDIR)/zenity-password.Tpo -c -o zenity-password.obj `if test -f 'password.c'; then $(CYGPATH_W) 'password.c'; else $(CYGPATH_W) '$(srcdir)/password.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-password.Tpo $(DEPDIR)/zenity-password.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='password.c' object='zenity-password.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-password.obj `if test -f 'password.c'; then $(CYGPATH_W) 'password.c'; else $(CYGPATH_W) '$(srcdir)/password.c'; fi`
-
-zenity-util.o: util.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-util.o -MD -MP -MF $(DEPDIR)/zenity-util.Tpo -c -o zenity-util.o `test -f 'util.c' || echo '$(srcdir)/'`util.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-util.Tpo $(DEPDIR)/zenity-util.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='util.c' object='zenity-util.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-util.o `test -f 'util.c' || echo '$(srcdir)/'`util.c
-
-zenity-util.obj: util.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-util.obj -MD -MP -MF $(DEPDIR)/zenity-util.Tpo -c -o zenity-util.obj `if test -f 'util.c'; then $(CYGPATH_W) 'util.c'; else $(CYGPATH_W) '$(srcdir)/util.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-util.Tpo $(DEPDIR)/zenity-util.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='util.c' object='zenity-util.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-util.obj `if test -f 'util.c'; then $(CYGPATH_W) 'util.c'; else $(CYGPATH_W) '$(srcdir)/util.c'; fi`
-
-zenity-forms.o: forms.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-forms.o -MD -MP -MF $(DEPDIR)/zenity-forms.Tpo -c -o zenity-forms.o `test -f 'forms.c' || echo '$(srcdir)/'`forms.c
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-forms.Tpo $(DEPDIR)/zenity-forms.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='forms.c' object='zenity-forms.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-forms.o `test -f 'forms.c' || echo '$(srcdir)/'`forms.c
-
-zenity-forms.obj: forms.c
-@am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -MT zenity-forms.obj -MD -MP -MF $(DEPDIR)/zenity-forms.Tpo -c -o zenity-forms.obj `if test -f 'forms.c'; then $(CYGPATH_W) 'forms.c'; else $(CYGPATH_W) '$(srcdir)/forms.c'; fi`
-@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/zenity-forms.Tpo $(DEPDIR)/zenity-forms.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='forms.c' object='zenity-forms.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(zenity_CPPFLAGS) $(CPPFLAGS) $(zenity_CFLAGS) $(CFLAGS) -c -o zenity-forms.obj `if test -f 'forms.c'; then $(CYGPATH_W) 'forms.c'; else $(CYGPATH_W) '$(srcdir)/forms.c'; fi`
-install-uiDATA: $(ui_DATA)
- @$(NORMAL_INSTALL)
- @list='$(ui_DATA)'; test -n "$(uidir)" || list=; \
- if test -n "$$list"; then \
- echo " $(MKDIR_P) '$(DESTDIR)$(uidir)'"; \
- $(MKDIR_P) "$(DESTDIR)$(uidir)" || exit 1; \
- fi; \
- for p in $$list; do \
- if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
- echo "$$d$$p"; \
- done | $(am__base_list) | \
- while read files; do \
- echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(uidir)'"; \
- $(INSTALL_DATA) $$files "$(DESTDIR)$(uidir)" || exit $$?; \
- done
-
-uninstall-uiDATA:
- @$(NORMAL_UNINSTALL)
- @list='$(ui_DATA)'; test -n "$(uidir)" || list=; \
- files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
- dir='$(DESTDIR)$(uidir)'; $(am__uninstall_files_from_dir)
-
-ID: $(am__tagged_files)
- $(am__define_uniq_tagged_files); mkid -fID $$unique
-tags: tags-am
-TAGS: tags
-
-tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
- set x; \
- here=`pwd`; \
- $(am__define_uniq_tagged_files); \
- shift; \
- if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
- test -n "$$unique" || unique=$$empty_fix; \
- if test $$# -gt 0; then \
- $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
- "$$@" $$unique; \
- else \
- $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
- $$unique; \
- fi; \
- fi
-ctags: ctags-am
-
-CTAGS: ctags
-ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
- $(am__define_uniq_tagged_files); \
- test -z "$(CTAGS_ARGS)$$unique" \
- || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
- $$unique
-
-GTAGS:
- here=`$(am__cd) $(top_builddir) && pwd` \
- && $(am__cd) $(top_srcdir) \
- && gtags -i $(GTAGS_ARGS) "$$here"
-cscopelist: cscopelist-am
-
-cscopelist-am: $(am__tagged_files)
- list='$(am__tagged_files)'; \
- case "$(srcdir)" in \
- [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
- *) sdir=$(subdir)/$(srcdir) ;; \
- esac; \
- for i in $$list; do \
- if test -f "$$i"; then \
- echo "$(subdir)/$$i"; \
- else \
- echo "$$sdir/$$i"; \
- fi; \
- done >> $(top_builddir)/cscope.files
-
-distclean-tags:
- -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(BUILT_SOURCES)
- $(MAKE) $(AM_MAKEFLAGS) distdir-am
-
-distdir-am: $(DISTFILES)
- @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
- topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
- list='$(DISTFILES)'; \
- dist_files=`for file in $$list; do echo $$file; done | \
- sed -e "s|^$$srcdirstrip/||;t" \
- -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
- case $$dist_files in \
- */*) $(MKDIR_P) `echo "$$dist_files" | \
- sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
- sort -u` ;; \
- esac; \
- for file in $$dist_files; do \
- if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
- if test -d $$d/$$file; then \
- dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
- if test -d "$(distdir)/$$file"; then \
- find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
- fi; \
- if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
- cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
- find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
- fi; \
- cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
- else \
- test -f "$(distdir)/$$file" \
- || cp -p $$d/$$file "$(distdir)/$$file" \
- || exit 1; \
- fi; \
- done
-check-am: all-am
-check: check-am
-all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(DATA)
-installdirs:
- for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(uidir)"; do \
- test -z "$$dir" || $(MKDIR_P) "$$dir"; \
- done
-install: install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
-
-install-am: all-am
- @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
-install-strip:
- if test -z '$(STRIP)'; then \
- $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
- install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
- install; \
- else \
- $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
- install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
- "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
- fi
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
- -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
- -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
- -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
-
-maintainer-clean-generic:
- @echo "This command is intended for maintainers to use"
- @echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
-
-distclean: distclean-am
- -rm -f ./$(DEPDIR)/zenity-about.Po
- -rm -f ./$(DEPDIR)/zenity-calendar.Po
- -rm -f ./$(DEPDIR)/zenity-color.Po
- -rm -f ./$(DEPDIR)/zenity-entry.Po
- -rm -f ./$(DEPDIR)/zenity-fileselection.Po
- -rm -f ./$(DEPDIR)/zenity-forms.Po
- -rm -f ./$(DEPDIR)/zenity-main.Po
- -rm -f ./$(DEPDIR)/zenity-msg.Po
- -rm -f ./$(DEPDIR)/zenity-notification.Po
- -rm -f ./$(DEPDIR)/zenity-option.Po
- -rm -f ./$(DEPDIR)/zenity-password.Po
- -rm -f ./$(DEPDIR)/zenity-progress.Po
- -rm -f ./$(DEPDIR)/zenity-scale.Po
- -rm -f ./$(DEPDIR)/zenity-text.Po
- -rm -f ./$(DEPDIR)/zenity-tree.Po
- -rm -f ./$(DEPDIR)/zenity-util.Po
- -rm -f Makefile
-distclean-am: clean-am distclean-compile distclean-generic \
- distclean-tags
-
-dvi: dvi-am
-
-dvi-am:
-
-html: html-am
-
-html-am:
-
-info: info-am
-
-info-am:
-
-install-data-am: install-uiDATA
-
-install-dvi: install-dvi-am
-
-install-dvi-am:
-
-install-exec-am: install-binPROGRAMS install-binSCRIPTS
-
-install-html: install-html-am
-
-install-html-am:
-
-install-info: install-info-am
-
-install-info-am:
-
-install-man:
-
-install-pdf: install-pdf-am
-
-install-pdf-am:
-
-install-ps: install-ps-am
-
-install-ps-am:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
- -rm -f ./$(DEPDIR)/zenity-about.Po
- -rm -f ./$(DEPDIR)/zenity-calendar.Po
- -rm -f ./$(DEPDIR)/zenity-color.Po
- -rm -f ./$(DEPDIR)/zenity-entry.Po
- -rm -f ./$(DEPDIR)/zenity-fileselection.Po
- -rm -f ./$(DEPDIR)/zenity-forms.Po
- -rm -f ./$(DEPDIR)/zenity-main.Po
- -rm -f ./$(DEPDIR)/zenity-msg.Po
- -rm -f ./$(DEPDIR)/zenity-notification.Po
- -rm -f ./$(DEPDIR)/zenity-option.Po
- -rm -f ./$(DEPDIR)/zenity-password.Po
- -rm -f ./$(DEPDIR)/zenity-progress.Po
- -rm -f ./$(DEPDIR)/zenity-scale.Po
- -rm -f ./$(DEPDIR)/zenity-text.Po
- -rm -f ./$(DEPDIR)/zenity-tree.Po
- -rm -f ./$(DEPDIR)/zenity-util.Po
- -rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-compile mostlyclean-generic
-
-pdf: pdf-am
-
-pdf-am:
-
-ps: ps-am
-
-ps-am:
-
-uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS \
- uninstall-uiDATA
-
-.MAKE: install-am install-strip
-
-.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-am clean \
- clean-binPROGRAMS clean-generic cscopelist-am ctags ctags-am \
- distclean distclean-compile distclean-generic distclean-tags \
- distdir dvi dvi-am html html-am info info-am install \
- install-am install-binPROGRAMS install-binSCRIPTS install-data \
- install-data-am install-dvi install-dvi-am install-exec \
- install-exec-am install-html install-html-am install-info \
- install-info-am install-man install-pdf install-pdf-am \
- install-ps install-ps-am install-strip install-uiDATA \
- installcheck installcheck-am installdirs maintainer-clean \
- maintainer-clean-generic mostlyclean mostlyclean-compile \
- mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
- uninstall-am uninstall-binPROGRAMS uninstall-binSCRIPTS \
- uninstall-uiDATA
-
-.PRECIOUS: Makefile
-
-
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:
diff --git a/src/about.c b/src/about.c
index 627aa1ea..c0baa9e7 100644
--- a/src/about.c
+++ b/src/about.c
@@ -32,10 +32,6 @@
#define GTK_RESPONSE_CREDITS 0
#define ZENITY_HELP_PATH ZENITY_DATADIR "/help/"
-#define ZENITY_CLOTHES_PATH ZENITY_DATADIR "/clothes/"
-
-#define ZENITY_CANVAS_X 400.0
-#define ZENITY_CANVAS_Y 280.0
static GtkWidget *dialog;
@@ -72,186 +68,6 @@ static const char *license[] = {
"Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA "
"02110-1301, USA.")};
-#if 0
-static gint
-zenity_move_clothes_event (GnomeCanvasItem *item,
- GdkEvent *event,
- gpointer data)
-{
- static double x, y;
- double new_x, new_y;
- static int dragging;
- double item_x, item_y;
-
- /* set item_[xy] to the event x,y position in the parent's
- * item-relative coordinates
- */
-
- item_x = event->button.x;
- item_y = event->button.y;
- gnome_canvas_item_w2i (item->parent, &item_x, &item_y);
-
- switch (event->type) {
- case GDK_BUTTON_PRESS:
- x = item_x;
- y = item_y;
- gnome_canvas_item_ungrab (item, event->button.time);
- gnome_canvas_item_raise_to_top (item);
- dragging = TRUE;
- break;
-
- case GDK_MOTION_NOTIFY:
- if (dragging && (event->motion.state & GDK_BUTTON1_MASK)) {
- new_x = item_x;
- new_y = item_y;
-
- gnome_canvas_item_move (item, new_x - x, new_y - y);
- x = new_x;
- y = new_y;
- }
- break;
-
- case GDK_BUTTON_RELEASE:
- gnome_canvas_item_ungrab (item, event->button.time);
- dragging = FALSE;
- break;
-
- default:
- break;
- }
-
- return FALSE;
-}
-
-typedef struct
-{
- const gchar *filename;
- gdouble x, y;
-} MonkClothes;
-
-static const MonkClothes monk_clothes[] = {
- {"gnome-tshirt.png", 30.0, 20.0},
- {"sunglasses.png", ZENITY_CANVAS_X - 100.0 , ZENITY_CANVAS_Y - 150.0 },
- {"surfboard.png", 30.0, ZENITY_CANVAS_Y - 200.0},
- {"hawaii-shirt.png", ZENITY_CANVAS_X - 50.0, 20.0}
-};
-
-static void
-zenity_create_clothes (GtkWidget *canvas_board)
-{
- GdkPixbuf *pixbuf;
- GnomeCanvasItem *canvas_item;
- gchar *pixbuf_path;
- size_t i;
-
- for (i = 0; i < G_N_ELEMENTS (monk_clothes); i++) {
- pixbuf_path = g_strconcat (ZENITY_CLOTHES_PATH, monk_clothes[i].filename, NULL);
- pixbuf = gdk_pixbuf_new_from_file (pixbuf_path, NULL);
-
- canvas_item = gnome_canvas_item_new (GNOME_CANVAS_GROUP (GNOME_CANVAS (canvas_board)->root),
- GNOME_TYPE_CANVAS_PIXBUF,
- "x", monk_clothes[i].x,
- "y", monk_clothes[i].y,
- "pixbuf", pixbuf,
- "anchor", GTK_ANCHOR_NW,
- NULL);
- g_signal_connect (G_OBJECT (canvas_item), "event",
- G_CALLBACK (zenity_move_clothes_event), NULL);
- }
-}
-
-static GtkWidget *
-zenity_create_monk (void)
-{
- GtkWidget *canvas_board;
- GnomeCanvasItem *canvas_item;
- GdkPixbuf *pixbuf;
- GdkColor color = { 0, 0xffff, 0xffff, 0xffff };
-
- canvas_board = gnome_canvas_new ();
-
- gnome_canvas_set_scroll_region (GNOME_CANVAS (canvas_board), 0, 0,
- ZENITY_CANVAS_X, ZENITY_CANVAS_Y);
-
- gtk_widget_set_size_request (canvas_board, ZENITY_CANVAS_X, ZENITY_CANVAS_Y);
-
- gdk_colormap_alloc_color (gtk_widget_get_colormap (GTK_WIDGET (canvas_board)),
- &color, FALSE, TRUE);
-
- gtk_widget_modify_bg (GTK_WIDGET (canvas_board), GTK_STATE_NORMAL, &color);
-
- pixbuf = gdk_pixbuf_new_from_file (ZENITY_CLOTHES_PATH "monk.png", NULL);
-
- canvas_item = gnome_canvas_item_new (GNOME_CANVAS_GROUP (GNOME_CANVAS (canvas_board)->root),
- GNOME_TYPE_CANVAS_PIXBUF,
- "x", (ZENITY_CANVAS_X / 2.0)/2.0 + 10.0,
- "y", (ZENITY_CANVAS_Y / 2.0)/2.0 - 50.0,
- "pixbuf", pixbuf,
- "anchor", GTK_ANCHOR_NW,
- NULL);
-
- zenity_create_clothes (canvas_board);
-
- return canvas_board;
-}
-
-static GtkWidget *
-zenity_create_boutique (void)
-{
- GtkWidget *window;
- GtkWidget *canvas;
-
- window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
-
- zenity_util_set_window_icon (window, NULL, ZENITY_IMAGE_FULLPATH ("zenity.png"));
- canvas = zenity_create_monk ();
- gtk_container_add (GTK_CONTAINER (window), canvas);
-
- return window;
-}
-
-static gboolean
-zenity_zen_wisdom (GtkDialog *dialog, GdkEventKey *event, gpointer user_data)
-{
- static gint string_count;
-
- if (string_count >= 3)
- return FALSE;
-
- switch (event->keyval) {
- case GDK_N:
- case GDK_n:
- if (string_count == 2) {
- GtkWidget *window;
- window = zenity_create_boutique ();
- gtk_widget_show_all (window);
- string_count++;
- } else {
- string_count = 0;
- }
- break;
- case GDK_Z:
- case GDK_z:
- if (string_count == 0)
- string_count++;
- else
- string_count = 0;
- break;
- case GDK_E:
- case GDK_e:
- if (string_count == 1)
- string_count++;
- else
- string_count = 0;
- break;
- default:
- string_count = 0;
- }
-
- return FALSE;
-}
-#endif
-
void
zenity_about (ZenityData *data) {
GdkPixbuf *logo;
@@ -301,11 +117,6 @@ zenity_about (ZenityData *data) {
G_CALLBACK (zenity_about_dialog_response),
data);
-#if 0
- g_signal_connect (G_OBJECT (dialog), "key_press_event",
- G_CALLBACK (zenity_zen_wisdom), NULL);
-#endif
-
zenity_util_show_dialog (dialog, data->attach);
gtk_main ();
}
diff --git a/src/forms.c b/src/forms.c
index 4e6fca5d..15df7189 100644
--- a/src/forms.c
+++ b/src/forms.c
@@ -110,8 +110,15 @@ zenity_forms_create_and_fill_list (
tree_view = gtk_tree_view_new ();
if (forms_data->column_values) {
+ int columns_values_count =
+ g_slist_length (forms_data->column_values);
+ int column_number = 0;
+ if (list_number < columns_values_count) {
+ column_number = list_number;
+ }
+
column_values =
- g_slist_nth_data (forms_data->column_values, list_number);
+ g_slist_nth_data (forms_data->column_values, column_number);
if (column_values) {
gchar **values = g_strsplit_set (column_values, "|", -1);
if (values) {
@@ -130,6 +137,10 @@ zenity_forms_create_and_fill_list (
column_index++;
}
}
+ } else {
+ /* If no values available, add one with string type*/
+ column_types = g_new (GType, n_columns);
+ column_types[0] = G_TYPE_STRING;
}
}
diff --git a/src/gdialog b/src/gdialog
deleted file mode 100644
index 4e2da777..00000000
--- a/src/gdialog
+++ /dev/null
@@ -1,353 +0,0 @@
-#!/usr/bin/perl
-
-# gdialog -> zenity conversion wrapper
-#
-# by Mike Newman <mikegtn@gnome.org>
-#
-# This is all, of course, horrible - but it should translate
-# most commond gdialog types to zenity equivalents. It will mostly drop
-# the pointless and unused (even by gdialog!) size arguments
-# but hopefully will translate all the others.
-#
-# For testing purposes, I've used a couple of the nautilus scripts
-# available at http://g-scripts.sourceforge.net - what is sometimes
-# unclear is what is a gdialog/zenity translation problem, and what is
-# a problem with the original script
-
-my @command = ("zenity"); # the command line we build up to execute
-my $element = ""; # current bit of command line
-my $argn = 0; # counter for walking args
-my $args = $#ARGV + 1; # total number of command line arguments
-my $separator = 0; # set if --separate-output is in use
-
-
-# Additon by: Kevin C. Krinke (kck) <kckrinke@opendoorsoftware.com>
-#
-# gdialog itself supports both the X-Windows interface as well as a console
-# interface. Here's a fix to use regular dialog when appropriate.
-# This should probably be a more advanced test of some sort, but I don't know
-# of any other easy way of detecting and X-Windows environment. If someone does
-# know better, please let me know. So for now this works: "no DISPLAY; no X".
-
-unless (defined $ENV{'DISPLAY'} && length($ENV{'DISPLAY'})) {
-
- # reset the command string
-
- @command = ();
-
- # examine all the available/default paths
-
- my $PATHS = ($ENV{'PATH'}||'/bin:/usr/bin:/usr/local/bin:/opt/bin');
-
- BIN: foreach my $PATH (split(/\:/,$PATHS)) {
-
- if (-x $PATH."/gdialog.real") {
-
- # Some GNU/Linux distributions divert binaries when
- # other packages are installed. If this exists, chances
- # are it's the real gdialog and not the Zenity wrapper.
- # gdialog has full support for the Console medium and
- # as such is the preference over using the "regular"
- # dialog interface.
-
- @command = ($PATH."/gdialog.real");
- last BIN;
-
- } elsif (-x $PATH."/dialog") {
-
- # change the command and skip ahead!
-
- @command = ($PATH."/dialog");
- last BIN;
-
- }
-
-
- }
-
- unless (@command) {
-
- # we didn't find the dialog binary, exit(254) with a message
- # to STDERR.
-
- print STDERR "missing DISPLAY and a console dialog could".
- " not be found.\n";
-
- # exit code 254 is used because 255, 1, 2, 3 are used by Zenity
- # and cDialog. This error, is a very _bad_ error so it's semi-
- # non-standard at 254.
-
- exit(254);
-
- }
-
- # all is well if we've made it this far
-
- # so join the arguments double-quoting things so that proper shell
- # notation is saved.
-
- push @command, @ARGV;
-
- # and fork the process
-
- exec(@command);
-
-}
-
-# Got DISPLAY, has X continue as normal...
-# End Addtition by: KCK
-
-# this just loads the current arg into $element
-
-sub get_arg () {
- $element = $ARGV[$argn];
-}
-
-# walk the command line
-
-ARG: while ($argn < $args) {
-
- get_arg;
-
-# Informational stuff
-
- if ($element eq "--help" || $element eq "--about") {
- print ( "gdialog is a compatibility wrapper around zenity, " .
- "provided to hopefully\nallow older scripts to run. " .
- "If you are reading this message, you should\n" .
- "probably be using zenity directly\n\n" .
- "type: 'zenity --help' or 'man zenity' for more information\n");
- exit (1);
- }
-
-# Section 1 : Args which gdialog expects BEFORE box options
-# --clear, --backtitle have no obvious effect - ignored
-
- if ($element eq "--title") {
-
- # --title argument is almost analogous in gdialog and
- # zenity - so pass it almost entirely as is
-
- $argn++;
- get_arg;
- push @command, "--title=$element";
-
- # keep processing args
- $argn++;
- next ARG;
- }
-
- if ($element eq "--separate-output") {
-
- # set the flag to pring list output line by line
- $separator = 1;
-
- # keep processing args
- $argn++;
- next ARG;
- }
-
-# Section 2 : Box Options and subsequent args
-
- if ($element eq "--msgbox" || $element eq "--infobox") {
-
- # This bit is common to almost all of the dialogs
- # the arg following the dialog type in gdialog is usually
- # equivalent to zenity's --text arg.
-
- $argn++;
- get_arg;
- push @command, "--info", "--text=$element";
-
- # this also happens a lot - gdialog accepted size args
- # for dialog compatability - which it pretty much ignored
- # and we will do the same
-
- $argn+=2;
- last ARG;
- }
-
- if ($element eq "--yesno") {
-
- # this will silently ignore the gdialog option to set
- # the default button in question dialogs - which is
- # highly hig-norant anyway!
-
- $argn++;
- get_arg;
- push @command, "--question", "--text=$element";
- last ARG;
- }
-
- if ($element eq "--inputbox") {
- $argn++;
- get_arg;
- push @command, "--entry", "--text=$element";
-
- # ignore size elements and maybe there is some
- # default text to initialize the entry with?
-
- $argn+=3;
- get_arg;
- push @command, "--entry-text=$element";
- last ARG;
- }
-
- if ($element eq "--textbox") {
- push @command, "--text-info";
-
- # the arg immediately following the dialog type in
- # gdialog is the filename, so pass this to zenity
-
- $argn++;
- get_arg;
- push @command, "--filename=$element";
-
- # width and height matter for this one, so get them
- # and apply the same multipliers as used in gdialog
-
- $argn++;
- get_arg;
- $element = $element * 7;
- push @command, "--height=$element";
- $argn++;
- get_arg;
- $element = $element * 8;
- push @command, "--width=$element";
- last ARG;
- }
-
- if ($element eq "--checklist" || $element eq "--radiolist") {
- $list=$element;
- $argn++;
- get_arg;
-
- # Conveniently, zenity and gdialog use the same names
- # for list types, so pass this to zenity intact along with
- # an untitled column for the check or radio buttons
- # and the 'text' arg as a second column header
-
- push @command, "--list", $list, "--column=''", "--column=''", "--column", $element;
-
- # should output be line by line?
- if ($separator) {
- push @command, "--separator=\n";
- }
-
- # Skip to the first 'item' arg of the list content
- # bypassing height, width and list-height
- # from here args run [tag] [item] [status] ...
-
- $argn += 4;
-
- # Loop over the remainder of the commandline
- # discarding the 'status' args of each item
- # and using the 'item' for display in our second column
- # also pass a fake NULL argument since zenity can't set
- # the status of a row like gdialog can
-
- while ($argn < $args) {
- get_arg;
- push @command, "NULL", $element;
- $argn += 1;
- get_arg;
- push @command, $element;
- $argn += 2;
- }
- last ARG;
- }
-
- if ($element eq "--menu") {
- $list=$element;
- $argn++;
- get_arg;
-
- # a gdialog --menu is just a two column zenity --list
- # Leave the first column blank (not provided)
- # Use the 'text' arg as a second column header
- # FIXME: or should it be the dialog text, or both?
-
- push @command, "--list", "--column", "", "--column", $element;
-
- # Skip to the first 'item' arg of the list content
- # after using height, width and bypassing list-height
- # from here args run [tag] [item] ...
-
- $argn += 1;
-
- get_arg;
- # Height and width in characters to be displayed, so adjust
- # cdialog uses 6 height for non-list, zenity uses ~24 pixels
- # per list entry (default font), and 103 pixels for non-list
- # This appears to be almost exact
- $element = $element*24 - 35;
- push @command, "--height", $element;
-
- $argn += 1;
- get_arg;
- # cdialog uses 6 width for non-list, zenity uses ~7 pixels
- # per character (default font), and 22 pixels for non-list
- # This is not exact, but close enough
- $element = $element*7 - 20;
- push @command, "--width", $element;
-
- $argn += 2;
-
- # Loop over the remainder of the commandline
- # keeping 'tag' args of each item (required to return)
- # and using the 'item' for display in our second column
-
- while ($argn < $args) {
- get_arg;
- push @command, $element;
- $argn += 1;
- }
- last ARG;
- }
-
- if ($element eq "--gauge") {
- $argn++;
- get_arg;
- push @command, "--progress", "--text=$element";
-
- # discard the size args as usually, and see if
- # a percentage value was supplied to initialize the
- # dialog
-
- $argn += 3;
- get_arg;
- if ($element) {
- push @command, "--percentage=$element";
- }
- last ARG;
- }
-
- $argn++;
-}
-
-# save STDOUT and STDERR
-open(ORG_STDOUT, ">&STDOUT");
-open(ORG_STDERR, ">&STDERR");
-
-# redirect STDERR to /dev/null (GTK messages ie:
-# (zenity:637): Gtk-WARNING **: Unable to locate theme engine in module_path: "mist",)
-open(STDERR, ">/dev/null");
-
-# redirect STDOUT to STDERR (gdialog direct output to STDERR by default)
-open(STDOUT, ">&ORG_STDERR");
-
-# execute the constructed zenity command line
-
-# perl doc: The return value of system() is the exit status of the
-#program as returned by the wait() call. To get the actual exit value
-# divide by 256.
-
-my $return = system(@command)/256;
-
-# restore STDOUT and STDERR
-open(STDOUT, ">&ORG_STDOUT");
-open(STDERR, ">&ORG_STDERR");
-close(ORG_STDOUT);
-close(ORG_STDERR);
-
-exit $return;
diff --git a/src/main.c b/src/main.c
index 7f0c2db7..18b2a725 100644
--- a/src/main.c
+++ b/src/main.c
@@ -43,7 +43,7 @@ main (gint argc, gchar **argv) {
setlocale (LC_ALL, "");
#endif
- bindtextdomain (GETTEXT_PACKAGE, GNOMELOCALEDIR);
+ bindtextdomain (GETTEXT_PACKAGE, LOCALEDIR);
bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
textdomain (GETTEXT_PACKAGE);
diff --git a/src/meson.build b/src/meson.build
new file mode 100644
index 00000000..748fe316
--- /dev/null
+++ b/src/meson.build
@@ -0,0 +1,51 @@
+# for i in `ls *.c`; do echo " '${i}',"; done
+zenity_sources = [
+ 'about.c',
+ 'calendar.c',
+ 'color.c',
+ 'entry.c',
+ 'fileselection.c',
+ 'forms.c',
+ 'main.c',
+ 'msg.c',
+ 'notification.c',
+ 'option.c',
+ 'password.c',
+ 'progress.c',
+ 'scale.c',
+ 'text.c',
+ 'tree.c',
+ 'util.c'
+]
+
+zenity_deps = [
+ gtk_dep,
+ libnotify,
+ webkitgtk,
+ x11
+]
+
+zenity_c_args = [
+ '-DG_LOG_DOMAIN="Zenity"'
+]
+
+zenity = executable(
+ meson.project_name(),
+ zenity_sources,
+ include_directories: zenity_root_dir,
+ dependencies: zenity_deps,
+ c_args: zenity_c_args,
+ install: true
+)
+
+if perl.found()
+ configure_file(
+ input: 'gdialog.in',
+ output: 'gdialog',
+ configuration: zenity_conf,
+ install_dir: zenity_bindir,
+ install: true
+ )
+endif
+
+install_data('zenity.ui')
diff --git a/src/msg.c b/src/msg.c
index ca14d867..496fe185 100644
--- a/src/msg.c
+++ b/src/msg.c
@@ -206,8 +206,8 @@ zenity_msg (ZenityData *data, ZenityMsgData *msg_data) {
// however, 60 would increase the distance between the icon and the
// text,
// decreasing to 10 fix it.
- gtk_label_set_width_chars (text, 10);
- gtk_label_set_max_width_chars (text, 10);
+ gtk_label_set_width_chars (GTK_LABEL (text), 10);
+ gtk_label_set_max_width_chars (GTK_LABEL (text), 10);
}
if (data->modal)
diff --git a/src/text.c b/src/text.c
index ffe7b35e..bbfa4212 100644
--- a/src/text.c
+++ b/src/text.c
@@ -289,11 +289,13 @@ zenity_text (ZenityData *data, ZenityTextData *text_data) {
if (text_data->no_wrap)
gtk_text_view_set_wrap_mode (GTK_TEXT_VIEW (text_view), GTK_WRAP_NONE);
+G_GNUC_BEGIN_IGNORE_DEPRECATIONS
if (text_data->font) {
PangoFontDescription *fontDesc =
pango_font_description_from_string (text_data->font);
gtk_widget_override_font (GTK_WIDGET (text_view), fontDesc);
}
+G_GNUC_END_IGNORE_DEPRECATIONS
if (text_data->uri)
zenity_util_fill_file_buffer (text_buffer, text_data->uri);
diff --git a/src/util.c b/src/util.c
index 0c101866..2887fd96 100644
--- a/src/util.c
+++ b/src/util.c
@@ -153,7 +153,7 @@ zenity_util_fill_file_buffer (GtkTextBuffer *buffer, const gchar *filename) {
gtk_text_buffer_insert (buffer, &iter, buf, leftover - buf);
remaining = (buf + remaining + count) - leftover;
- g_memmove (buf, leftover, remaining);
+ memmove (buf, leftover, remaining);
if (remaining > 6 || count < to_read)
break;
@@ -326,11 +326,12 @@ transient_get_xterm (void) {
Window wid = strtoul (wid_str, &wid_str_end, 10);
if (*wid_str != '\0' && *wid_str_end == '\0' && wid != 0) {
XWindowAttributes attrs;
- gdk_error_trap_push ();
+ GdkDisplay *display;
+ display = gdk_display_get_default ();
+ gdk_x11_display_error_trap_push (display);
ret = XGetWindowAttributes (
GDK_DISPLAY_XDISPLAY (gdk_display_get_default ()), wid, &attrs);
- gdk_flush ();
- if (gdk_error_trap_pop () != 0 || ret == 0) {
+ if (gdk_x11_display_error_trap_pop (display) != 0 || ret == 0) {
return None;
}
return wid;
diff --git a/src/zenity.h b/src/zenity.h
index b86a264d..404eec77 100644
--- a/src/zenity.h
+++ b/src/zenity.h
@@ -5,7 +5,6 @@
G_BEGIN_DECLS
-#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String)
#ifdef gettext_noop
@@ -13,15 +12,6 @@ G_BEGIN_DECLS
#else
#define N_(String) (String)
#endif
-#else /* NLS is disabled */
-#define _(String) (String)
-#define N_(String) (String)
-#define textdomain(String) (String)
-#define gettext(String) (String)
-#define dgettext(Domain, String) (String)
-#define dcgettext(Domain, String, Type) (String)
-#define bindtextdomain(Domain, Directory) (Domain)
-#endif
typedef struct {
gchar *dialog_title;
bgstack15